groovy.transform

## Annotation Type TypeChecked.TypeCheckingInfo

-     @Retention(value=RUNTIME)
      @Target(value=METHOD)
      public static @interface TypeChecked.TypeCheckingInfo

  This annotation is added by @TypeChecked on methods which have type checking turned on. It is used to embed type information into binary, so that the type checker can use this information, if available, for precompiled classes.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `inferredType` An encoded type information.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `int` | `version` Returns the type checker information protocol number.

- - ### Element Detail

    - #### inferredType

          public abstract java.lang.String inferredType

      An encoded type information.
      Returns:
        the inferred type

    - #### version

          public abstract int version

      Returns the type checker information protocol number. This is used if the format of the string used in `inferredType()` changes.
      Returns:
        the protocol version
      Default:
        0